iOS 3.1 Upgrade/Downgrade to/from 3.xxx firm on ipod touch 2g MB model questions.

Discussion in 'iOS Jailbreak & Cydia' started by Taitac, Mar 30, 2010.

  1. Taitac

    Taitac New Member

    Joined:
    Dec 29, 2008
    Messages:
    76
    Likes Received:
    0
    Device:
    2G iPod touch
    Before i get pwned by people saying use google or search, i'd like to point out that i've been browsing the site for 2h now.


    Now...I have a 2.2.1 firmware on a ipod touch 2g 16gib MB model (already jailbroken) and i got a couple of questions before i upgrade it.
    Since i am writing an app for 2.2.1 version i want to make sure that upgrading it wont cause me any problems. Here are the questions.



    1a) Will 3.1.2 or 3.1.3 be able to "play" 2.2.1 apps that i already have or do i have to find their updates (if any) ?

    1b) Will my app still play in the 3.x.x vers, if i compile it for 2.2.1 ? Or do i have to rewrite the whole thing

    Please Register or Log in to view images



    2) If i upgrade to the latest 3.1.3, it will be untethered right ? (I have an MB model like i said)

    3) Will i be able to downgrade to 2.2.1 if i dont like it ?

    4) If i go to 3.1.x can i still use the 8.2 itunes ?

    Thanks.
  2. br0adband

    br0adband New Member

    Joined:
    Aug 31, 2008
    Messages:
    88
    Likes Received:
    0
    1a) It should, but there's only one real way to test it.

    1b) See 1a) above.

    2) As I understand it, all 3.1.3 Jailbreaks currently are tethered, however it seems a truly untethered JB for 3.1.3 firmwares could be just around the corner. I could be wrong with that, but so far I haven't seen any 3.1.3 untethered Jailbreaks released - they're all just being shown in videos by geohot and the dev team so far.

    3) If you put 3.1.3 on it, no, because once 3.1.3 is on a device (again, as I understand it) that causes the digital signing of the firmware to kick in - 3.1.2 and older doesn't. So the object is don't put 3.1.3 on any device at this point, stick with 3.1.2 and avoid 3.1.3 like the plague. 3.1.2 has everything 3.1.3 does - 3.1.3 only fixed a battery meter issue on the iPhone 3GS, it does absolutely nothing else (except muck up Jailbreaks on everything).

    4) Not that I'm aware of. I've tried to use iTunes 8.x on several PCs with the 32GB 3rd gen iPt I have, as soon as I plug it in iTunes always complains that it requires iTunes 9.x so, I'd say no. Not 100% sure about 3.1.1 or 3.1.2 however; the digital signing issue with 3.1.3 might be the cause of that iTunes 9.x requirement.

    Hope this helps...
  3. Taitac

    Taitac New Member

    Joined:
    Dec 29, 2008
    Messages:
    76
    Likes Received:
    0
    Device:
    2G iPod touch
    Up and down just what i was thinking about all these

    Please Register or Log in to view images

    Thanks for clarifying it.

Share This Page